--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: bleed_box
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Each of the following should be an array of 4 numbers, the x and y coordinates of the lower left and upper right bounds of the box.
  name: media_box
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: procset
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: trim_box
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: object which is a parent to the pages in the document
constants: []

full_name: PDF::Writer::Object::Pages
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: first_page
- !ruby/object:RI::MethodSummary 
  name: size
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Pages
superclass: PDF::Writer::Object
